﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraRunner : MonoBehaviour
{
    float behind = 20; // distance of camera behind the runner
    float above = 30; // distance above
    float angleSpeed = 2; // how fast do we turn?
    float cameraAngle = 0;

    GameObject ballRunner;
    RunnerController runnerController;
 
    void Start()
    {
        ballRunner = GameObject.Find("Ball Runner");
        runnerController = ballRunner.GetComponent<RunnerController>();
    }

    public void SetCameraAngle(float angle) // set the camera angle
    {
        cameraAngle = angle;
    }

    void LateUpdate() // update the camera position
    {
        float runnerAngle = runnerController.EulerAngles.y;
        cameraAngle = Mathf.LerpAngle(cameraAngle, runnerAngle, angleSpeed * Time.deltaTime); // interpolate for smooth camera motion
        float cameraRadians = cameraAngle * Mathf.Deg2Rad;
        Vector3 toCamera = new Vector3(-behind * Mathf.Sin(cameraRadians), above, -behind * Mathf.Cos(cameraRadians));
        transform.position = runnerController.transform.position + toCamera;
        transform.LookAt(runnerController.transform.position);
     }
}