﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// Controls the up-and-down motion of the chasers

public class ChaserPinController : MonoBehaviour {

    float vertOffset = 0;
    public float timeOffset;
    public float wavelength = 0.25f;
    public float amplitude = 2;

    void Start()
    {
        timeOffset = Random.Range(0, wavelength);
        wavelength *= Random.Range(1, 1.5f);
        amplitude *= Random.Range(1, 1.5f);
    }

    float JumpHeight(float t) // we use a quadratic function
    {
        float x = Mathf.Repeat((t - timeOffset) / wavelength, 1);
        return amplitude * (1 - 4 * Mathf.Pow(x - 0.5f, 2));
    }

    void Update()
    {
        Vector3 newPos = transform.position;
        newPos.y = vertOffset + JumpHeight(Time.time);
        transform.position = newPos;
    }
}
